package es.dalocar.facturamas.swt.components;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

public class ThreeButtonsComposite extends Composite {
	private Button btnEliminar;
	private Button btnModificar;
	private Button botonNuevo;

	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public ThreeButtonsComposite(Composite parent, int style) {
		super(parent, style);
		
		botonNuevo = new Button(this, SWT.NONE);
		botonNuevo.setBounds(10, 10, 200, 73);
		botonNuevo.setText("A\u00F1adir");
		
		btnModificar = new Button(this, SWT.NONE);
		btnModificar.setBounds(10, 89, 200, 73);
		btnModificar.setText("Modificar");
		
		btnEliminar = new Button(this, SWT.NONE);
		btnEliminar.setBounds(10, 168, 200, 73);
		btnEliminar.setText("Eliminar");

	}

	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}
	public Button getBtnEliminar() {
		return btnEliminar;
	}
	public Button getBtnModificar() {
		return btnModificar;
	}
	public Button getBotonNuevo() {
		return botonNuevo;
	}
}
